Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.sql
Class SelectResult

    java.lang.Object
      |
      +--kodo.jdbc.sql.AbstractResult
            |
            +--kodo.jdbc.sql.ResultSetResult
                  |
                  +--kodo.jdbc.sql.SelectResult

All Implemented Interfaces:
  com.solarmetric.util.Closeable, Result

public synchronized class SelectResult
extends ResultSetResult

Constructor Summary
`SelectResult(Select, Connection, Statement, ResultSet, DBDictionary)`

Method Summary
`boolean` | `absolute(int)` Throws an exception by default.
`boolean` | `contains(Object)` Return true if the given column or id is available in the result.
`protected int` | `findObject(Object)` Return the 1-based result set index for the given column or id, or a non-positive number if the column is not contained in this result.
`boolean` | `next()` Advance to the next row, or return false if there are no more rows in the result.

Methods inherited from class kodo.jdbc.sql.ResultSetResult
`close, getAlias, getArray, getAsciiStream, getBigDecimal, getBigInteger, getBinaryStream, getBlob, getBoolean, getByte, getBytes, getChar, getCharacterStream, getClob, getCloseConnection, getDate, getDate, getDBDictionary, getDouble, getFloat, getInt, getLocale, getLong, getObject, getObject, getRef, getResultSet, getShort, getStatement, getString, getTime, getTimestamp, setCloseConnection, size, supportsRandomAccess, wasNull`

Methods inherited from class kodo.jdbc.sql.AbstractResult
`addBatchedResult, addProcessedData, checkNull, getBatchedResult, getProcessedData, removeBatchedResult, removeProcessedData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectResult

    public SelectResult(Select,
                        Connection,
                        Statement,
                        ResultSet,
                        DBDictionary)

Method Detail

### contains

    public boolean contains(Object)

  Description copied from interface: `Result`
  Return true if the given column or id is available in the result.
  Overrides:
    `contains` in class `ResultSetResult`

### absolute

    public boolean absolute(int)
                     throws SQLException

  Description copied from class: `AbstractResult`
  Throws an exception by default.
  Overrides:
    `absolute` in class `ResultSetResult`

### next

    public boolean next()
                 throws SQLException

  Description copied from interface: `Result`
  Advance to the next row, or return false if there are no more rows in the result.
  Overrides:
    `next` in class `ResultSetResult`

### findObject

    protected int findObject(Object)
                      throws SQLException

  Description copied from class: `ResultSetResult`
  Return the 1-based result set index for the given column or id, or a non-positive number if the column is not contained in this result.
  Overrides:
    `findObject` in class `ResultSetResult`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.